#ifndef HISTORYITEMWIDGET_H
#define HISTORYITEMWIDGET_H

#include <QObject>
#include <QWidget>
#include <QLabel>
#include <QWidget>
#include <QPushButton>
#include <QHBoxLayout>
#include <QDebug>
#include <QPixmap>
#include <kborderlessbutton.h>

using namespace kdk;

class HistoryItemWidget : public QWidget
{
    Q_OBJECT
public:
    HistoryItemWidget(QWidget* parent = nullptr);
    HistoryItemWidget(const QPixmap &pixmap, const QString &text, QWidget *parent = nullptr);
public slots:
    void deleteBtnClicked();
private:
    QLabel *m_iconLabel = nullptr;
    QLabel *m_textLabel = nullptr;
    KBorderlessButton *btn = nullptr;
};

#endif // HISTORYITEMWIDGET_H
