#ifndef KWEBENGINEVIEW_H
#define KWEBENGINEVIEW_H

#include <QWebEngineView>
#include <QDropEvent>
#include <QDragEnterEvent>

class KWebEngineView : public QWebEngineView
{
    Q_OBJECT
public:
    KWebEngineView(QWidget *parent = nullptr);

protected:
    void dragEnterEvent(QDragEnterEvent *event) override;
    void dropEvent(QDropEvent *event) override;

signals:
    void sigShowImage(const QString iamgePath);
};

#endif // KWEBENGINEVIEW_H
