#ifndef USDBRIGHTNESS_H
#define USDBRIGHTNESS_H

#include <QDBusArgument>

typedef struct usdBrightness {
    QString screenName;
    int     gammaA;
    int     gammaB;
    int     gammaC;
}UsdBrightness;

QDBusArgument &operator<<(QDBusArgument &argument, const UsdBrightness &mystruct) {
    argument.beginStructure();
    argument << mystruct.screenName << mystruct.gammaA << mystruct.gammaB << mystruct.gammaC;
    argument.endStructure();
    return argument;
}

const QDBusArgument &operator>>(const QDBusArgument &argument, UsdBrightness &mystruct) {
    argument.beginStructure();
    argument >> mystruct.screenName >> mystruct.gammaA >> mystruct.gammaB >> mystruct.gammaC;
    argument.endStructure();
    return argument;
}
Q_DECLARE_METATYPE(UsdBrightness)

typedef QList<UsdBrightness> UsdBrightnessList;

#endif // USDBRIGHTNESS_H
